### Hierarchy

- HttpTransport

### Implemented by

- HttpTransportImpl
- HttpTransportSyncedImpl

## Index

### Methods

- addInterceptor
- getHost
- sendRequest

## Methods

### addInterceptor

- addInterceptor(interceptor: HttpInterceptor): HttpTransport

- - Defined in repository/source/http/HttpTransport.ts:18

  #### Parameters

  - ##### interceptor: HttpInterceptor

  #### Returns HttpTransport

### getHost

- getHost(): string

- - Defined in repository/source/http/HttpTransport.ts:9

  #### Returns string

### sendRequest

- sendRequest<T>(path: string, method: HttpMethod, data?: object | string | number | JsonTransform, file?: FileMeta): Promise<Response<T>>

- - Defined in repository/source/http/HttpTransport.ts:11

  #### Type parameters

  - #### T

  #### Parameters

  - ##### path: string

  - ##### method: HttpMethod

  - ##### Optional data: object | string | number | JsonTransform

  - ##### Optional file: FileMeta

  #### Returns Promise<Response<T>>

Generated using TypeDoc